> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yoid.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Revoke multiple credentials by their ids.



## OpenAPI

````yaml me-creds POST /credentials/revoke
openapi: 3.0.0
info:
  version: 1.0.0
  title: Me Creds API
  description: >2-

          
    OpenAPI documentation for Me Creds API

          
      
    Following JSON:API spec https://jsonapi.org/format/ approach to response
    payload format.

          
     - [JSON - OpenAPI Specification](/me-creds/api/openapi.json)
servers:
  - url: https://test.didxtech.com/me-creds/api
    description: Test environment
security:
  - bearerAuth: []
paths:
  /credentials/revoke:
    post:
      tags:
        - credentials
      summary: Revoke multiple credentials by their ids.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BatchRevokeRequestDto'
      responses:
        '204':
          description: Credentials revoked successfully.
components:
  schemas:
    BatchRevokeRequestDto:
      type: object
      properties:
        ids:
          type: array
          items:
            type: string
            minLength: 1
      required:
        - ids
      example:
        ids:
          - cm7d9cq5600pwk3zq3kmpg8uc
          - cm7d9cq5600pzk3zq9wzxxtc3
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````